<?php
/**
 * Amigos - anyadir2.php
 * 
 * @author    Bartolomé Sintes Marco <bartolome.sintes+mclibre@gmail.com>
 * @copyright 2011 Bartolomé Sintes Marco
 * @license   http://www.gnu.org/licenses/agpl.txt AGPL 3 or later
 * @version   2011-06-03
 * @link      http://www.mclibre.org
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

include('funciones.php');
$db = conectaDb();
cabecera('Añadir 2', MENU_2, CABECERA_SIN_CURSOR);

$amigo1 = recogeParaConsulta($db, 'amigo1');
$amigo2 = recogeParaConsulta($db, 'amigo2');

if (($amigo1=="''") || ($amigo2=="''")) {
    print "<p>Hay que rellenar los dos campos. "
        ."No se ha guardado el registro.</p>\n";
} elseif ($amigo1==$amigo2) {
    print "<p>No se puede repetir el nombre. "
        ."No se ha guardado el registro.</p>\n";
} else {
    $consulta = "SELECT COUNT(*) FROM $dbTabla";
    $result = $db->query($consulta);
    if (!$result) {
        print "<p>Error en la consulta.</p>\n";
    } elseif ($result->fetchColumn()>=MAX_REG_TABLA) {
        print "<p>Se ha alcanzado el número máximo de registros que se pueden "
            ."guardar.</p>\n<p>Por favor, borre algún registro antes.</p>\n";
    } else { 
        $consulta = "SELECT COUNT(*) FROM $dbTabla 
            WHERE amigo1=$amigo1 
            AND amigo2=$amigo2";
        $result = $db->query($consulta);
        if (!$result) {
            print "<p>Error en la consulta.</p>\n";
        } elseif ($result->fetchColumn()>0) {
            print "<p>El registro ya existe.</p>\n";
        } else { 
            $consulta = "INSERT INTO $dbTabla 
                VALUES (NULL, $amigo1, $amigo2)";
            if ($db->query($consulta)) {
                print "<p>Registro creado correctamente.</p>\n";
            } else {
                print "<p>Error al crear el registro.</p>\n";
            }
            $consulta = "INSERT INTO $dbTabla 
                VALUES (NULL, $amigo2, $amigo1)";
            if ($db->query($consulta)) {
                print "<p>Registro creado correctamente.</p>\n";
            } else {
                print "<p>Error al crear el registro.</p>\n";
            }
        }
    }
}

$db = NULL; 
pie();
?>
